/*******************************************************************************
 * (c) Copyright 2007 Actel Corporation.  All rights reserved.
 * 
 * SVN $Revision: 569 $
 * SVN $Date: 2008-11-18 12:36:45 +0000 (Tue, 18 Nov 2008) $
 */

#ifndef __CORE_SMBUS_REGISTERS
#define __CORE_SMBUS_REGISTERS	1

/*------------------------------------------------------------------------------
 * CONTROL register details
 */
#define CONTROL_REG_OFFSET	0x00

/*
 * CR0 bits.
 */
#define CR0_OFFSET   0x00
#define CR0_MASK     0x01
#define CR0_SHIFT    0

/*
 * CR1 bits.
 */
#define CR1_OFFSET   0x00
#define CR1_MASK     0x02
#define CR1_SHIFT    1

/*
 * AA bits.
 */
#define AA_OFFSET   0x00
#define AA_MASK     0x04
#define AA_SHIFT    2

/*
 * SI bits.
 */
#define SI_OFFSET   0x00
#define SI_MASK     0x08
#define SI_SHIFT    3

/*
 * STO bits.
 */
#define STO_OFFSET   0x00
#define STO_MASK     0x10
#define STO_SHIFT    4

/*
 * STA bits.
 */
#define STA_OFFSET   0x00
#define STA_MASK     0x20
#define STA_SHIFT    5

/*
 * ENS1 bits.
 */
#define ENS1_OFFSET   0x00
#define ENS1_MASK     0x40
#define ENS1_SHIFT    6

/*
 * CR2 bits.
 */
#define CR2_OFFSET   0x00
#define CR2_MASK     0x80
#define CR2_SHIFT    7

/*------------------------------------------------------------------------------
 * STATUS register details
 */
#define STATUS_REG_OFFSET	0x04

/*------------------------------------------------------------------------------
 * DATA register details
 */
#define DATA_REG_OFFSET	0x08

/*
 * TARGET_ADDR bits.
 */
#define TARGET_ADDR_OFFSET	0x08
#define TARGET_ADDR_MASK	0xFF
#define TARGET_ADDR_SHIFT	0
 
/*
 * DIR bit.
 */
#define DIR_OFFSET   0x08
#define DIR_MASK     0x01
#define DIR_SHIFT    0


/*------------------------------------------------------------------------------
 * ADDRESS register details
 */
#define ADDRESS_REG_OFFSET	0x0C

/*
 * GC bits.
 */
#define GC_OFFSET   0x0C
#define GC_MASK     0x01
#define GC_SHIFT    0

/*
 * ADR bits.
 */
#define OWN_SLAVE_ADDR_OFFSET   0x0C
#define OWN_SLAVE_ADDR_MASK     0xFE
#define OWN_SLAVE_ADDR_SHIFT    1

/*------------------------------------------------------------------------------
 * SMBUS register details
 */
#define SMBUS_REG_OFFSET	0x10

/*
 * SMBALERT_NI_STATUS bits.
 */
#define SMBALERT_NI_STATUS_OFFSET   0x10
#define SMBALERT_NI_STATUS_MASK     0x08
#define SMBALERT_NI_STATUS_SHIFT    3

/*
 * SMBALERT_NO_CONTROL bits.
 */
#define SMBALERT_NO_CONTROL_OFFSET   0x10
#define SMBALERT_NO_CONTROL_MASK     0x10
#define SMBALERT_NO_CONTROL_SHIFT    4

/*
 * SMBSUS_NI_STATUS bits.
 */
#define SMBSUS_NI_STATUS_OFFSET   0x10
#define SMBSUS_NI_STATUS_MASK     0x20
#define SMBSUS_NI_STATUS_SHIFT    5

/*
 * SMBSUS_NO_CONTROL bits.
 */
#define SMBSUS_NO_CONTROL_OFFSET   0x10
#define SMBSUS_NO_CONTROL_MASK     0x40
#define SMBSUS_NO_CONTROL_SHIFT    6

/*
 * SMBUS_MST_RESET bits.
 */
#define SMBUS_MST_RESET_OFFSET   0x10
#define SMBUS_MST_RESET_MASK     0x80
#define SMBUS_MST_RESET_SHIFT    7

#endif	/* __CORE_SMBUS_REGISTERS */
